# Request and Response

## Get product listings (A.K.A. publiations) associated with the account

<mark style="color:blue;">`GET`</mark> `https://api.alephcrm.com/v2/productlistings/search`

#### Query Parameters

| Name                                         | Type    | Description     |
| -------------------------------------------- | ------- | --------------- |
| API\_KEY<mark style="color:red;">\*</mark>   | String  | (default=none)  |
| accountId <mark style="color:red;">\*</mark> | Integer | (default=none)  |
| status<mark style="color:red;">\*</mark>     | Integer |                 |
| includeChilds                                | boolean | (default=false) |
| marketplaceId                                | Integer |                 |
| brand                                        | String  | (default=none)  |
| sku                                          | String  | (default=none)  |
| externalID                                   | String  | (default=none)  |
| sort                                         | String  | (default=ID)    |
| offset                                       | Integer | (default=0)     |
| limit                                        | Integer | (default=100)   |

{% tabs %}
{% tab title="200: OK Array of productlistings" %}

```json
{
   "Total": integer,
   "Paging": {
       "Limit": integer,
       "Offset": integer,
       "Total": integer,
   },
   "SortBy": {
       "Id": string,
       "Name": string
   },
   "AvailableSorts": [{
       "Id": string,
       "Name": string
   }],
   "Results":[ ProductListingType ]
}
```

{% endtab %}

{% tab title="206: Partial Content Array of productlistings" %}

```
{
   "Total": integer,
   "Paging": {
       "Limit": integer,
       "Offset": integer,
       "Total": integer,
   },
   "SortBy": {
       "Id": string,
       "Name": string
   },
   "AvailableSorts": [{
       "Id": string,
       "Name": string
   }],
   "Results":[ ProductListingType ]
}
```

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="416: Range Not Satisfiable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### status

Filters product listings which match the provided status. Available statuses are available on this section.

### marketplaceId

Filters product listings which origin marketplace matches the provided one.\
See marketplaces ID section and the GET marketplaces endpoint for the coding reference.

### includeChilds

If true, this endpoint will return all the “child” product listings belonging to the standard product listing. The child product listings are those that Alephee automatically generates based on compatibilities (vehicles) or proxy-type product listings.

### brand

Filters product listings where the product brand equals the provided one.

### sku

Filters product listings where the product SKU equals the provided one.

### externalID

Filters product listings where the external ID (the product listing ID) equals the provided one.\
Examples: MLA929686204 or MLC119938382.

### sort

Indicates the field to be sorted by (ascending only). Available fields: ID, dateCreated

### offset

Used for paging. Moves the inferior limit of the records to the provided one. For example, offset=50 gets the rows skipping the first 50 records.

### limit

Used for paging. Defines the number of records to be returned. For example, limit=10 gets only 10 records.

### Paging example:

offset=50, limit=10, will skip the first 50 records and return the next 10 ones (from record 51 to 61)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/product-listings/get-methods/page-1/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
